ranges::v3::concepts::BoundedRange Struct Reference
Inheritance diagram for ranges::v3::concepts::BoundedRange:

## Public Member Functions

template<typename T >
auto | requires_ (T &t) -> decltype(concepts::valid_expr(concepts::same_type(begin(t), end(t))))
Public Member Functions inherited from ranges::v3::concepts::refines< Range >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< Range >
using | base_concepts_t = meta::list< Concepts... >